Skip to main content

List International External Accounts

Suggest Edits


7.1 Overview

You can retrieve all international external accounts that meet specified criteria using the list API (POST), as described below.


7.2 Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/internationalExternalAccount/list

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/internationalExternalAccount/list

7.3 Supported Filter Criteria

FilterSupported Operators
ideq, ne, in, gt, gte, lt, lte, like
externalIdeq, ne, in, like
statuseq, in, ne
holderNameeq
createdOneq, gt, gte, lt, lte
createdByeq
lastUpdatedOneq, gt, gte, lt, lte
lastUpdatedByeq

7.4 Sorting Fields

You can sort results by any of the following fields:

  • id
  • createdOn
  • lastUpdatedOn

7.5 Example Request

Retrieve all International External Accounts created on or after a given date

POST /banking/us2/v1/internationalExternalAccount/list HTTP/1.1
Host: {hostname}
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json
{
"sortOptions": {
"sortBy": "createdOn",
"sortOrder": "DESC"
},
"criteria": {
"filters": [
{
"operator": "gte",
"key": "createdOn",
"values": [
"05/23/2025 00:00:00"
]
}
]
}
}

7.6 Example Response

{
"totalCount": 7,
"returnedCount": 2,
"pageNumber": 1,
"offset": 4003293,
"hasMore": "false",
"resources": [
{
"resourceName": "internationalExternalAccount",
"url": "/v1/customer/id/4007884/internationalExternalAccount/id/4003351",
"id": 4003351,
"type": "CHECKING",
"holderName": "Testing",
"holderPhone": "894598345",
"holderEmail": "abcd@gmail.com",
"swiftCode": "ADCBAEAA060",
"internationalRoutingCode": "234567",
"acceptedCurrency": ["CAD"],
"purpose": "Testing",
"holderType": "CORPORATE",
"accountNumberLast4": "4689",
"status": "ACTIVE",
"statusReason": "ACTIVE",
"statusDate": "05/23/2025 07:01:31",
"holderAddress": {
"addressLine1": "#1233, hazel street",
"city": "Alberta",
"state": "AL",
"zip": "T9X",
"country": "CA"
},
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "Verified",
"ofacStatusDate": "05/23/2025 07:01:33"
},
"createdOn": "05/23/2025 07:01:31",
"createdBy": {
"username": "ahrvoqa+108636907293@prth.com",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedBy": {
"username": "SYSTEM",
"status": "ACTIVE",
"userType": "SYSTEM"
},
"lastUpdatedOn": "05/23/2025 07:01:33",
"additionalDetail": {
"taxID": "95676"
}
},
{
"resourceName": "internationalExternalAccount",
"url": "/v1/customer/id/4007884/internationalExternalAccount/id/4003347",
"id": 4003347,
"type": "CHECKING",
"holderName": "Testing",
"holderPhone": "894598345",
"holderEmail": "abcd@gmail.com",
"swiftCode": "ADCBAEAA060",
"acceptedCurrency": ["USD"],
"purpose": "Testing",
"holderType": "CORPORATE",
"accountNumberLast4": "4689",
"status": "ACTIVE",
"statusReason": "ACTIVE",
"statusDate": "05/23/2025 06:35:00",
"holderAddress": {
"addressLine1": "#1233, hazel street",
"addressLine2": "Temple",
"city": "Arizona",
"state": "AZ",
"zip": "85002",
"country": "US"
},
"verification": {
"ofacStatus": "VERIFIED",
"ofacStatusReason": "Verified",
"ofacStatusDate": "05/23/2025 06:35:39"
},
"createdOn": "05/23/2025 06:35:00",
"createdBy": {
"username": "ahrvoqa+108636907293@prth.com",
"status": "ACTIVE",
"userType": "API_USER"
},
"lastUpdatedBy": {
"username": "SYSTEM",
"status": "ACTIVE",
"userType": "SYSTEM"
},
"lastUpdatedOn": "05/23/2025 06:35:39"
}
]
}

7.7 Example HTTP Status

```http
HTTP/1.1 200 OK

API Documentation